SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000796: openvpnclient: kills itself after during reconnection - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000796Endian FirewallNetwork related (VPN, uplinks)public2008-05-13 22:282008-09-10 15:44
Reporterpeter-endian 
Assigned Topeter-endian 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc3Fixed in Version2.2-rc2 
Summary0000796: openvpnclient: kills itself after during reconnection
Descriptionopenvpn client tries to remove a ppp connection instead of removing the ip address from the tap device. that will certainly fail. thereafter openvpn exits without reconnecting

root@VPNCLIENT:~ # May 14 00:26:35 VPNCLIENT testconnection[8253]: Wed May 14 00:26:35 2008 [127.0.0.1] Inactivity timeout (--ping-restart), restarting
May 14 00:26:35 VPNCLIENT testconnection[8253]: Wed May 14 00:26:35 2008 /sbin/ip addr del dev tap2 local 192.168.20.145 peer 255.255.255.0
May 14 00:26:35 VPNCLIENT testconnection[8253]: Wed May 14 00:26:35 2008 Linux ip addr del failed: shell command exited with error status: 2
May 14 00:26:35 VPNCLIENT testconnection[8253]: Wed May 14 00:26:35 2008 Exiting
May 14 00:26:35 VPNCLIENT testconnection[8253]: RTNETLINK answers: Cannot assign requested address
TagsNo tags attached.
Attached Files? file icon openvpn-2.1-0.endian15.i586.rpm [^] (211,613 bytes) 2008-05-13 23:05

- Relationships

-  Notes
(0001157)
peter-endian (administrator)
2008-05-13 23:06

bug is in openvpn upstream
its resolved in their svn

- Issue History
Date Modified Username Field Change
2008-05-13 22:28 peter-endian New Issue
2008-05-13 22:28 peter-endian Status new => assigned
2008-05-13 22:28 peter-endian Assigned To => peter-endian
2008-05-13 22:30 peter-endian Status assigned => confirmed
2008-05-13 22:30 peter-endian Priority normal => urgent
2008-05-13 22:30 peter-endian Severity minor => major
2008-05-13 22:30 peter-endian Reproducibility have not tried => always
2008-05-13 23:05 peter-endian File Added: openvpn-2.1-0.endian15.i586.rpm
2008-05-13 23:06 peter-endian Status confirmed => resolved
2008-05-13 23:06 peter-endian Fixed in Version => 2.2
2008-05-13 23:06 peter-endian Resolution open => fixed
2008-05-13 23:06 peter-endian Note Added: 0001157
2008-07-24 15:53 ra-endian Fixed in Version 2.2 => 2.2-rc2
2008-07-27 20:18 peter-endian Status resolved => closed
2008-09-10 15:44 chris-endian Target Version 2.2 => 2.2-rc3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker